/* eslint-disable */
declare module "*.vue" {
   import type { DefineComponent } from "vue"
   const component: DefineComponent<{}, {}, any>
   export default component
}

declare module '*.module.scss' {
   const classes: { readonly [key: string]: string }
   export default classes
}

declare module '*.png' {
   const classes: { readonly [key: string]: string }
   export default classes
}

/** json 文件导出 */
declare module "*.json" {
   const value: any
   export default value
}

/** scss 文件导出 */
declare module "@/assets/export.module.scss" {
   const exportCss: {
      elTextColorRegular: string
   }
   export default exportCss
}

declare module "tcplayer.js"
